# babel-preset-yarus &middot;

A babel preset for transforming your JavaScript for Yarus.

## Install

```sh
$ npm install --save-dev babel-preset-yarus
```

## Usage

### Via `.babelrc` (Recommended)

**.babelrc**

```json
{
  "presets": ["Yarus"]
}
```

### Via CLI

```sh
$ babel script.js --presets airbnb
```

### Via Node API

```javascript
require('@babel/core').transform('code', {
  presets: ['Yarus']
});
```

## Contributing

The main purpose of this repository is to continue to evolve babel-preset-yarus, making it faster and easier to use. Development happens in the open on GitHub, and we are grateful to the community for contributing bugfixes and improvements. Read below to learn how you can take part in improving babel-preset-yarus.

### [Code of Conduct](https://github.com/yarus-org/babel-preset-yarus/blob/master/CONTRIBUTING.md#code-of-conduct)

Facebook has adopted a Code of Conduct that we expect project participants to adhere to. Please read [the full text](https://github.com/yarus-org/babel-preset-yarus/blob/master/CONTRIBUTING.md#code-of-conduct) so that you can understand what actions will and will not be tolerated.

### [Contributing Guide](https://github.com/yarus-org/babel-preset-yarus/blob/master/CONTRIBUTING.md)

Read our [contributing guide](https://github.com/yarus-org/babel-preset-yarus/blob/master/CONTRIBUTING.md) to learn about our development process, how to propose bugfixes and improvements, and how to build and test your changes to React.

### Good First Issues

To help you get your feet wet and get you familiar with our contribution process, we have a list of [good first issues](https://github.com/yarus-org/babel-preset-yarus/labels/good%20first%20issue) that contain bugs which have a relatively limited scope. This is a great place to get started.

### License

This project is licensed under the terms of the [MIT license](https://github.com/yarus-org/babel-preset-yarus/blob/master/LICENSE.md).
